Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/terraform: new aport

From: Colin Hebert <hebert.colin_at_gmail.com>
Date: Sat, 25 Jun 2016 07:55:11 +0000

https://www.terraform.io/
Terraform is a tool for infrastructure management.
---
 testing/terraform/APKBUILD | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 testing/terraform/APKBUILD
diff --git a/testing/terraform/APKBUILD b/testing/terraform/APKBUILD
new file mode 100644
index 0000000..b03ac6f
--- /dev/null
+++ b/testing/terraform/APKBUILD
_at_@ -0,0 +1,44 @@
+# Contributor: Colin Hebert <hebert.colin_at_gmail.com>
+# Maintainer:
+pkgname=terraform
+pkgver=0.6.16
+pkgrel=0
+pkgdesc="Terraform is a tool for infrastructure management."
+url="https://www.terraform.io/"
+arch="all"
+license="MPL 2.0"
+depends=""
+depends_dev=""
+makedepends="go godep bash git $depends_dev"
+options="!strip"
+source="${pkgname}-${pkgver}.tar.gz::https://github.com/hashicorp/${pkgname}/archive/v${pkgver}.tar.gz"
+
+_builddir="${srcdir}/build"
+
+prepare() {
+  mkdir -p "${_builddir}/src/github.com/hashicorp"
+  mv "${srcdir}/${pkgname}-${pkgver}" "${_builddir}/src/github.com/hashicorp/terraform"
+  cd "${_builddir}/src/github.com/hashicorp/terraform"
+  local i
+  for i in $source; do
+    case $i in
+      *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+    esac
+  done
+}
+
+build() {
+  cd "${_builddir}/src/github.com/hashicorp/terraform"
+  PATH="${PATH}:${_builddir}/bin"
+  GOPATH="${_builddir}" make quickdev
+}
+
+package() {
+  cd "$_builddir"
+  mkdir -p "${pkgdir}/usr/sbin/"
+  install -m755 -t ${pkgdir}'/usr/sbin/' "bin/${pkgname}"*
+}
+
+md5sums="708618e86b8c6e33cf5553dd16810e85  terraform-0.6.16.tar.gz"
+sha256sums="c84bae32a170d993982de9c537eac74f70601e7a667dc2ea9803b86e04b1221d  terraform-0.6.16.tar.gz"
+sha512sums="9eab68c4ffe7a187703ec970e6d5812261b819fd20ff2f24751e9f4472caa3e06315db0a07056a777454eda45b6ee6d4d3210307eaff8aab06406eaa48ac9082  terraform-0.6.16.tar.gz"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Jun 25 2016 - 07:55:11 GMT